product.created

Triggered when a product is created

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

Example Payload

Path Parameters

{
  "path": {},
  "cookie": {},
  "header": {},
  "query": {},
  "method": "post",
  "bodyMediaType": "application/json",
  "body": {
    "seller_id": "string",
    "sellerId": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "event_id": "string",
    "eventId": "string",
    "event": "product.created",
    "data": {
      "product": {
        "id": "507f1f77bcf86cd799439011",
        "type": "charge",
        "title": "Premium Course",
        "role": "product",
        "price": {
          "amount": 4900,
          "currency": "usd"
        },
        "createdAt": "2024-01-15T10:30:00.000Z",
        "updatedAt": "2024-01-15T10:30:00.000Z"
      }
    }
  }
}